import request from '@/utils/request'

// 获取短信验证码
export function getNumberCode(params) {
  return request({
    url: '/common/sms/verification',
    method: 'get',
    params
  })
}

// 我的账户获取短信验证码
export function userPhoneCode(params) {
  return request({
    url: '/common/sms/verification',
    method: 'get',
    params
  })
}

// 获取邮箱验证码
export function getMailCode(params) {
  return request({
    url: '/common/mail/verification',
    method: 'get',
    params
  })
}

// 我的账户获取邮箱验证码
export function userEmailCode(params) {
  return request({
    url: '/common/mail/verification',
    method: 'get',
    params
  })
}

// 获取我的账户短信验证码
export function getMyAccountNumberCode(data) {
  return request({
    url: '/user/phoneCode',
    method: 'post',
    data
  })
}

// 获取我的账户短信验证码
export function getMyAccountMailCode(data) {
  return request({
    url: '/user/emailCode/' + data,
    method: 'post'
  })
}

// 获取查看的历史流程
export function getHistoricalProcess(params) {
  return request({
    url: '/bill/doBusinessHistoryView',
    method: 'get',
    params
  })
}

// 校验短信验证码
export function verifyCode(params) {
  return request({
    url: '/common/sms/codeTest',
    method: 'get',
    params
  })
}

// 身份证OCR
export function idCardOCR(params) {
  return request({
    url: '/zjxl/do_idCardOCR',
    method: 'get',
    params
  })
}

// 营业执照OCR
export function licenseOCR(params) {
  return request({
    url: '/zjxl/do_businessLicenseOCR',
    method: 'get',
    params
  })
}
